using Com.FirmLib.UI;
using Com.FirmLib.UI.Insuer;
using Com.FirmLib.UI.Maintainer;
using Com.FirmLib.UI.Manufacturer;
using Com.FirmLib.UI.Seller;
using SAGA.DotNetUtils.Data;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Test.Edges;
using Test.TestPress;

namespace Test
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;
            this.Closed += MainWindow_Closed;
        }
        /// <summary>
        /// 关闭后结束进程
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void MainWindow_Closed(object sender, EventArgs e)
        {
            Application.Current.Shutdown();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                //Test();
                WinFirmMain main = new WinFirmMain(new WinSellerBaseInfo());
                main.Title += "--供应商管理";
                main.ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.StackTrace);
            }
        }

        private void Manu_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                WinFirmMain main = new WinFirmMain(new WinManufactureBaseInfo());
                main.Title += "--生产商管理";
                main.ShowDialog();
            }
            catch (Exception ex)
            {
            }
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            try
            {

                WinFirmMain main = new WinFirmMain(new WinMaintainerBaseInfo());
                main.Title += "--维修商管理";
                main.ShowDialog();
            }
            catch (Exception ex)
            {
             
            }
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            try
            {
                WinFirmMain main = new WinFirmMain(new WinInsuerBaseInfo());
                main.Title += "--保险商管理";
                main.ShowDialog();
            }
            catch (Exception ex)
            {
               
                //return Result.Cancelled;
            }
        }
    }
}
